cancel
Showing results for 
Search instead for 
Did you mean: 

tcp-wrapper 7.6 + ssh-3.2.9.1

Kim_9
Occasional Contributor

tcp-wrapper 7.6 + ssh-3.2.9.1

Hello,
I just install ssh-3.2.9.1 using "./configure --with-libwrap".
And, I added my hostip in hosts.allow as below.
ALL:my_host_ip

But, I got error messages as below when I login to localhost from localhost.
I confuse why tcp-wrapper understand my hostip is 0.0.0.0.

Could you let me know if you have any experience?

Thanks a lot.

JY Kim

Mar 25 17:57:42 vnikorea sshd2[220794]: WARNING: Denied connection from 0.0.0.0 by tcp wrappers.
Mar 25 17:57:42 vnikorea sshd2[220794]: Denied connection from 0.0.0.0 by tcp wrappers.
Mar 25 17:57:42 vnikorea sshd2[220794]: refused connect from 0.0.0.0
1 REPLY
Cortes Albertino
Trusted Contributor

Re: tcp-wrapper 7.6 + ssh-3.2.9.1

Hi,

Could you also try, in hosts.allow with :
ALL:LOCAL, domain1, domain2: ALLOW

Albertino.